# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Attributes | List of all members
DBus::CondVar Class Referenceabstract

`#include <dispatcher.h>`

## Public Member Functions

virtual | ~CondVar ()
virtual void | wait (Mutex *)=0
virtual bool | wait_timeout (Mutex *, int timeout)=0
virtual void | wake_one ()=0
virtual void | wake_all ()=0

## Protected Attributes

Internal * | _int

## Detailed Description

Definition at line 208 of file dispatcher.h.

## Constructor & Destructor Documentation

## ◆ ~CondVar()

virtual DBus::CondVar::~CondVar | ( |  | ) |

inline virtual

Definition at line 212 of file dispatcher.h.

## Member Function Documentation

## ◆ wait()

virtual void DBus::CondVar::wait | ( | Mutex * |  | ) |

pure virtual

Referenced by DBus::Threading< Mx, Cv >::condvar_wait().

## ◆ wait_timeout()

virtual bool DBus::CondVar::wait_timeout | ( | Mutex * | ,
|  | int | timeout )

pure virtual

Referenced by DBus::Threading< Mx, Cv >::condvar_wait_timeout().

## ◆ wake_all()

virtual void DBus::CondVar::wake_all | ( |  | ) |

pure virtual

Referenced by DBus::Threading< Mx, Cv >::condvar_wake_all().

## ◆ wake_one()

virtual void DBus::CondVar::wake_one | ( |  | ) |

pure virtual

Referenced by DBus::Threading< Mx, Cv >::condvar_wake_one().

## Member Data Documentation

## ◆ _int

Internal* DBus::CondVar::_int

protected

Definition at line 226 of file dispatcher.h.

The documentation for this class was generated from the following file:

- dispatcher.h